./sysutils/ruby-puppet/5 [centralised configuration management for networks]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 5.5.20, Package name: puppet-5.5.20
Maintained by: Sebastian Reitenbach
Master sites:

Filesize: 2924.919 KB
Version History (View Complete History)
  • (2020-05-29) Updated to version: puppet-5.5.20
  • (2020-03-20) Updated to version: puppet-5.5.19
  • (2020-03-06) Updated to version: puppet-5.5.18
  • (2019-10-25) Updated to version: puppet-5.5.17
  • (2019-07-19) Updated to version: puppet-5.5.16
  • (2019-05-10) Updated to version: puppet-5.5.14
  • (2019-04-01) Updated to version: puppet-5.5.12
  • (2019-02-06) Updated to version: puppet-5.5.10
  • (2018-11-12) Updated to version: puppet-5.5.8
  • (2018-09-19) Updated to version: puppet-5.5.6
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2020-05-27 15:08:34 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
update 5.5.19 -> 5.5.20
   2020-05-22 09:00:52 by Klemens Nanni | Files touched by this commit (3)
Log message:
Use FAKE_FLAGS not ALL_FAKE_FLAGS to unbreak MAKE_JOBS usage
ALL_FAKE_FLAGS (usually put after MAKE_PROGRAM) is used in do-install,
but as list of environment variables:
$ make -p | grep -e ^PARALLEL_MAKE_FLAGS -e FAKE_FLAGS
ALL_FAKE_FLAGS   = ... ${FAKE_FLAGS} ${PARALLEL_MAKE_FLAGS}
FAKE_FLAGS       = HOME=${WKRDIR}/home
PARALLEL_MAKE_FLAGS = -j${MAKE_JOBS}
@cd ${WRKSRC} && ${ALL_FAKE_FLAGS} ${RUBY} install.rb ...
This means having MAKE_JOBS set causes "make install" to fail because "-jN"
is used as environment variable.
Use FAKE_FLAGS in do-install instead to fix this.
   2020-05-19 01:20:45 by Giovanni Bechis | Files touched by this commit (1)
Log message:
Add missing dependency, fixes "puppet module generate" command
ok kn@
   2020-05-18 03:11:42 by Klemens Nanni | Files touched by this commit (2)
Log message:
Use MODRUBY_BINREV in patch for 6, comment patch for 5
   2020-03-18 12:39:17 by Sebastian Reitenbach | Files touched by this commit (5)
Log message:
update 5.5.18 -> 5.5.19
   2020-03-06 08:20:31 by Sebastian Reitenbach | Files touched by this commit (7)
Log message:
Update 5.5.17 -> 5.5.18
   2019-10-24 14:37:17 by Sebastian Reitenbach | Files touched by this commit (4)
Log message:
update 5.5.16 -> 5.5.17
   2019-08-23 02:18:12 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
fix package installation for real
   2019-08-22 15:56:06 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
Seems with update to 5.5.16 I broke package installation with ensure -> present
or installed, basically the default.
Since package providers now can be "targetable", they provide a command
function, so conflicting with the legacy command()
   2019-07-19 00:09:21 by Sebastian Reitenbach | Files touched by this commit (7)
Log message:
Update to 5.5.14 -> 5.5.16
   2019-05-09 14:17:31 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Update to 5.5.14
since the switch to ruby 2.6 as default, installing packages with the gem
provider was broken, since it used the long depreprecated parameters to
omit installation of documenation. 5.5.14 apparently fixed that.
   2019-04-28 18:42:09 by Jeremy Evans | Files touched by this commit (24)
Log message:
Bump after default ruby version change to ruby 2.6
   2019-04-01 05:18:15 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
simple update 5.5.10 -> 5.5.12
   2019-02-18 03:16:34 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Also make the pip3 package provider work for us. use MODPY_DEFAULT_VERSION_3,
change the pip package provider to use MODPY_DEFAULT_VERSION_2 instead
of the MODPY_VERSION
   2019-02-05 14:25:47 by Sebastian Reitenbach | Files touched by this commit (2)
Log message:
Update to 5.5.10
   2018-11-12 00:17:36 by Sebastian Reitenbach | Files touched by this commit (5)
Log message:
Update to 5.5.8, while there add PORTROACH marker to limit
to the 5.X series
   2018-10-26 10:16:24 by Jeremy Evans | Files touched by this commit (20)
Log message:
Bump related ports after default ruby version switch.
   2018-09-20 11:55:23 by Christian Weisgerber | Files touched by this commit (1)
Log message:
convert to PKGSTEM
   2018-09-18 15:09:46 by Sebastian Reitenbach | Files touched by this commit (4)
Log message:
Update to 5.5.6
   2018-09-04 06:46:28 by Marc Espie | Files touched by this commit (918)
Log message:
convert to PKGSTEM
   2018-07-25 02:46:17 by Sebastian Reitenbach | Files touched by this commit (4)
Log message:
simple update to 5.5.3
   2018-04-26 01:04:28 by Sebastian Reitenbach | Files touched by this commit (3)
Log message:
Small feature and bugfix update to 5.5.1
   2018-02-26 01:52:42 by Sebastian Reitenbach | Files touched by this commit (4)
Log message:
Update to Puppet 5.4, new agent tested against 5.3 server, old 4.8
agent tested against 5.4 master.